
Foreman - Bug #10682

After upgrade to 1.8.1 from 1.7.1 can't get a list of VmWare vms

06/02/2015 04:40 PM - Dmitry Kireev

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

After upgrade to 1.8.1 from 1.7.1 can't get a list of VmWare vms. Getting an error: There was an error listing VMs: wrong number of

arguments(1 for 0)

Can't figure out if this is a migration issue or environmental.

1.7.1 was working stable for a while.

Started GET "/compute_resources/12-Colo/vms" for 172.19.52.68 at 2015-06-02 13:29:56 -0700

2015-06-02 13:29:56 [I] Processing by ComputeResourcesVmsController#index as HTML

2015-06-02 13:29:56 [I]   Parameters: {"compute_resource_id"=>"12-Colo"}

2015-06-02 13:29:56 [D]   User Load (0.6ms)  SELECT `users`.* FROM `users` WHERE `users`.`id` = 2 

LIMIT 1

2015-06-02 13:29:56 [D] Setting current user thread-local variable to dkireev

2015-06-02 13:29:56 [D]   AuthSource Load (0.4ms)  SELECT `auth_sources`.* FROM `auth_sources` WHE

RE `auth_sources`.`id` = 2 LIMIT 1

2015-06-02 13:29:56 [D]   ComputeResource Load (0.4ms)  SELECT `compute_resources`.* FROM `compute

_resources` WHERE `compute_resources`.`id` = 12 ORDER BY compute_resources.name LIMIT 1

2015-06-02 13:29:57 [I] Successfully decrypted field for Foreman::Model::Vmware Colo

2015-06-02 13:29:58 [W] Error has occurred while listing VMs on Colo (VMware): wrong number of arg

uments(1 for 0)

2015-06-02 13:29:58 [D] /opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/basic_t

ypes.rb:41:in `initialize'

/opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/basic_types.rb:41:in `new'

/opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/basic_types.rb:41:in `full_prop

s_set'

/opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:110:in `bloc

k in traverse_data'

/opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:105:in `each

'

/opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:105:in `trav

erse_data'

/opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:88:in `deser

ialize'

/opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/connection.rb:68:in `block in p

arse_response'

/opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/connection.rb:68:in `map'

/opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/connection.rb:68:in `parse_resp

onse'

/opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/connection.rb:90:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/basic_types.rb:205:in `_call'

/opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/basic_types.rb:74:in `block (2 

levels) in init'

/opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/vim.rb:68:in `serviceContent'

/opt/rh/ruby193/root/usr/share/gems/gems/fog-1.29.0/lib/fog/vsphere/compute.rb:406:in `negotiate_r

evision'

/opt/rh/ruby193/root/usr/share/gems/gems/fog-1.29.0/lib/fog/vsphere/compute.rb:389:in `initialize'

/opt/rh/ruby193/root/usr/share/gems/gems/fog-core-1.29.0/lib/fog/core/service.rb:115:in `new'
/opt/rh/ruby193/root/usr/share/gems/gems/fog-core-1.29.0/lib/fog/core/service.rb:115:in `new'

/opt/rh/ruby193/root/usr/share/gems/gems/fog-core-1.29.0/lib/fog/compute.rb:60:in `new'

/usr/share/foreman/app/models/compute_resources/foreman/model/vmware.rb:444:in `client'

/usr/share/foreman/app/models/compute_resources/foreman/model/vmware.rb:30:in `vms'

/usr/share/foreman/app/controllers/compute_resources_vms_controller.rb:4:in `index'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_ren

der.rb:4:in `send_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in `

process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb

:10:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:

in `block in process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:638:i

n `block (4 levels) in _run__3967649492891402234__process_action__4001001900460496111__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:i

n `block in _conditional_callback_around_2614'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:i

n `around'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:i

n `_callback_around_2205'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:i

n `_conditional_callback_around_2614'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:637:i

n `block (3 levels) in _run__3967649492891402234__process_action__4001001900460496111__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:i

n `block in _conditional_callback_around_2613'

/usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:i

n `_conditional_callback_around_2613'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:636:i

n `block (2 levels) in _run__3967649492891402234__process_action__4001001900460496111__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:i

n `block in _conditional_callback_around_2612'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:i

n `_conditional_callback_around_2612'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:448:i

n `block in _run__3967649492891402234__process_action__4001001900460496111__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:i

n `block in _conditional_callback_around_2611'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:i

n `around'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:i

n `_callback_around_13'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:i

n `_conditional_callback_around_2611'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:414:i

n `_run__3967649492891402234__process_action__4001001900460496111__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:i

n `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:i

n `_run_process_action_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in

 `run_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:17:

in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb:29

:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentat

ion.rb:30:in `block in process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:1

23:in `block in instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/inst

rumenter.rb:20:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:1

23:in `instrument'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentat

ion.rb:29:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wrapp

er.rb:207:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controller_

runtime.rb:18:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:in `

process'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:45:

in `process'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in `d

ispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_delegat

ion.rb:14:in `dispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in `b

lock in action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb

:73:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb

:73:in `dispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb

:36:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb

:600:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/static_dispatcher.rb:65:in 

`call'

/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/extractor/recorder.rb:97:in

 `call'

/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/middleware/checksum_in_head

ers.rb:27:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_stan

dards_support.rb:17:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:25:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.rb:1

4:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params_pa

rser.rb:21:in `call'

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.rb:

242:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in `contex

t'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookies.r

b:339:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/query_cache.rb:64:in

 `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/

abstract/connection_pool.rb:473:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks

.rb:28:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:i

n `_run__845720485808007923__call__496589551947262531__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:i

n `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:i

n `_run_call_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in

 `run_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks

.rb:27:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/reloader.

rb:65:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote_ip

.rb:31:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_exc

eptions.rb:16:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_exce

ptions.rb:56:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:26:in `call_app'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:16:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/quiet_assets-1.0.2/lib/quiet_assets.rb:18:in `call_with_q

uiet_assets'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/request_i

d.rb:22:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/loc

al_cache.rb:72:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb

:62:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `m

ethod_missing'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:64:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/content_length.rb:14:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/log_tailer.rb:17:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/thin-1.3.1/lib/thin/connection.rb:80:in `block in pre_pro

cess'

/opt/rh/ruby193/root/usr/share/gems/gems/thin-1.3.1/lib/thin/connection.rb:78:in `catch'

/opt/rh/ruby193/root/usr/share/gems/gems/thin-1.3.1/lib/thin/connection.rb:78:in `pre_process'

/opt/rh/ruby193/root/usr/share/gems/gems/thin-1.3.1/lib/thin/connection.rb:53:in `process'

/opt/rh/ruby193/root/usr/share/gems/gems/thin-1.3.1/lib/thin/connection.rb:38:in `receive_data'

/opt/rh/ruby193/root/usr/share/gems/gems/eventmachine-0.12.10/lib/eventmachine.rb:256:in `run_mach

ine'

/opt/rh/ruby193/root/usr/share/gems/gems/eventmachine-0.12.10/lib/eventmachine.rb:256:in `run'

/opt/rh/ruby193/root/usr/share/gems/gems/thin-1.3.1/lib/thin/backends/base.rb:61:in `start'

/opt/rh/ruby193/root/usr/share/gems/gems/thin-1.3.1/lib/thin/server.rb:159:in `start'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/handler/thin.rb:13:in `run'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/server.rb:265:in `start'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/commands/server.rb:70:in `start'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/commands.rb:55:in `block in <top

 (required)>'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/commands.rb:50:in `tap'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/commands.rb:50:in `<top (require

d)>'

/opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:60:in `require'

/opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:60:in `rescue in require'

/opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:35:in `require'

./script/rails:6:in `<main>'

2015-06-02 13:29:58 [I]   Rendered compute_resources_vms/_error.html.erb (1.5ms)

2015-06-02 13:29:58 [I] Completed 200 OK in 1608ms (Views: 7.6ms | ActiveRecord: 1.4ms)

2015-06-02 13:29:58 [I]

History

#1 - 06/03/2015 03:23 AM - Dominic Cleal

- Category set to Compute resources - VMware

#2 - 06/10/2016 03:39 PM - Anonymous

what's the status here?

#3 - 12/30/2016 09:53 AM - Anonymous

- Status changed from New to Rejected
no reaction, closing.
